Subject: [PATCH 2/3] merge-ort: remove debugging crud

From: "Elijah Newren via GitGitGadget" <[email-masked]>
Date: Mon, 03 Nov 2025 18:01:47 +0000

From: Elijah Newren <[email-masked]>

While developing commit a16e8efe5c2b (merge-ort: fix
merge.directoryRenames=false, 2025-03-13), I was testing things out and
had an extra condition on one of the if-blocks that I occasionally
swapped between '&& 0' and '&& 1' to see the effects of the changes.  I
forgot to remove it before submitting and it wasn't caught in review.
Remove it now.

Signed-off-by: Elijah Newren <[email-masked]>
---
 merge-ort.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/merge-ort.c b/merge-ort.c
index 29858074f9..23b55c5b92 100644
--- a/merge-ort.c
+++ b/merge-ort.c
@@ -3438,7 +3438,7 @@ static int collect_renames(struct merge_options *opt,
 			continue;
 		}
 		if (opt->detect_directory_renames == MERGE_DIRECTORY_RENAMES_NONE &&
-		    p->status == 'R' && 1) {
+		    p->status == 'R') {
 			possibly_cache_new_pair(renames, p, side_index, NULL);
 			goto skip_directory_renames;
 		}
-- 
gitgitgadget